#!/usr/bin/env sh

MYSQLCMD="mysql -u root"
SCRIPT=$(readlink -f "$0")
SCRIPTPATH=$(dirname "$SCRIPT")
ENV="TEST"
NETWORK="trax_test"
COMPOSE_FILES=${SCRIPTPATH}/docker-compose.yml

set -e

# Drop environment (delete all containers and network settings) if available.
docker-compose -f $COMPOSE_FILES down
CONTAINERS=$(docker ps -a -q -f name=${ENV})

if [ ! -z "$CONTAINERS" ]; then
    docker rm -f ${CONTAINERS}
    ENDPOINTS=$(docker network inspect ${NETWORK} -f "{{json .Containers }}")
    if [ "$ENDPOINTS" = '{}' ]; then
        docker network rm ${NETWORK}
    fi
    docker volume rm $(docker volume ls -q -f dangling=true)
fi
