#!/bin/bash

MYSQLCMD="mysql -u root"
SCRIPT=$(readlink -f "$0")
SCRIPTPATH=$(dirname "$SCRIPT")
MONGODB="SmartTest"
ENV="TEST"
NETWORK="trax_test"
SUBNET="10.3.3.0/24"

# Drop previous environment if needed.
CONTAINERS=$(docker ps -a -q -f name=${ENV})
if [ ! -z "$CONTAINERS" ]; then
    ${SCRIPTPATH}/env-down.sh
fi

# Pull and run docker containers.
COMPOSE_FILES=${SCRIPTPATH}/docker-compose.yml

$(aws ecr get-login --no-include-email --region us-east-1)
docker network create --subnet=${SUBNET} ${NETWORK} 2>&1 || echo "${NETWORK} network already exists"
docker-compose -f ${SCRIPTPATH}/docker-compose.yml pull || {
    echo "Please manually run the aws login command: \$(aws ecr get-login --no-include-email --region us-east-1)"
} && docker-compose -f $COMPOSE_FILES -p ${ENV} up -d

# Wait for databases.
${SCRIPTPATH}/wait-for.sh ${ENV}_mongo
${SCRIPTPATH}/wait-for.sh ${ENV}_mysql
