#!/usr/bin/env sh

set -e

DOCKEREXEC="docker exec -i"
CONTAINER="$1"
shift
CMD="$@"
ENV="TEST"

case $CONTAINER in
    "${ENV}_mysql" | "${ENV}_usr_mgmt_sql")
        GREP="port: 3306  MySQL Community Server (GPL)"
        ;;
    "${ENV}_mongo")
        GREP="waiting for connections on port 27017"
        ;;
esac

echo "Attempting to access $CONTAINER"

COUNTER=0

until [ "`docker logs $CONTAINER 2>&1 | grep \"${GREP}\"`" ] || [ ${COUNTER} -ge 600 ]
do
    sleep 2;
    COUNTER=$((COUNTER+2))
    printf "Waiting for $CONTAINER to initialize... ($COUNTER seconds so far)\r"
done;

if [ ${COUNTER} -ge 180 ]
then
echo "$CONTAINER is not ready to use after 10 min" >&2
exit 1
fi
echo "$CONTAINER is ready" >&2