export {};
const pn = require('../../../../src')('authentication-example'); // require('progressive-node')('<app name>');

pn.get('/:projectName/isAuthorized', pn.isAuthorized('TEST'), (req, res) => res.send('OK'));

pn.get('/isAuthorized', pn.isAuthorized('TEST'), (req, res) => res.send('OK'));

pn.get('/isInternal', pn.isInternal(), (req, res) => res.send('OK'));

pn.get('/:projectName/authorizeProject', async (req, res) => {
    try {
        const auth = await pn.authorizeProject(req.headers, req.cookies, req.params.projectName);
        res.json({
            user: auth.user,
            fromCookie: auth.fromCookie,
            tokens: auth.tokenData,
        });
    } catch (err) {
        console.log(err.stack);
        if (err instanceof pn.AuthError) {
            res.json({ code: err.code, message: err.message });
        } else {
            res.status(500).send(err.message);
        }
    }
});

pn.get('/:projectName/authorize', pn.authorize(), (req, res) => res.json(req.user));

pn.get(
    '/:projectName/authorize/permissions',
    pn.authorize('TEST', { application_code: 'TEST2', entity_name: 'Entity', permission: 'View' }),
    (req, res) => res.json(req.user),
);

pn.get('/authorize/my-user', pn.authorize(), (req, res) => res.json(req.user));
