import { User } from 'shared/models/user.model';
import { APIService } from "./http.service";
import { Injectable } from "@angular/core";

@Injectable()
export class SomeController {

    getUser(): Promise<User> {
        return new Promise((resolve) => {
            this.api.get('some/user').subscribe((data: any) => resolve(new User(data)));
        });
    }


    getParams({ id, name }: { id: number, name: string }): Promise<{ id: number; name: string; }> {
        return new Promise((resolve) => {
            this.api.get('some/get/' + id + '/more/' + name + '').subscribe((data: any) => resolve(data));
        });
    }




    getSomthing(): Promise<string> {
        return new Promise((resolve) => {
            this.api.get('some/get').subscribe((data: any) => resolve(data));
        });
    }



    getSomthingFromService(): Promise<any> {
        return new Promise((resolve) => {
            this.api.get('some/get/from/service').subscribe((data: any) => resolve(data));
        });
    }


    putSomthing(): Promise<string> {

        return new Promise((resolve) => {
            this.api.put('some/put')
                .subscribe((data: any) => resolve(data));
        })
    }

    // @Delete("delete")
    // deleteSomthing() {
    //     return "delete";
    // }


    postSomthing(): Promise<string> {

        return new Promise((resolve) => {
            this.api.post('some/post')
                .subscribe((data: any) => resolve(data));
        })
    }

    constructor(private readonly api: APIService) {
    }
}
