import {User} from 'shared/models/user.model'
import {Body, Controller, Get, Param, Post, Put} from "../../../../../src/decorators";
import {SomeService} from '../services/SomeService';

@Controller("some")
export class SomeController {
    constructor(private someService: SomeService) {
    }

    @Post("body")
    postbody(@Body() user: User) {
        return user;
    }



    @Get("user")
    getUser(): User {
        return new User({lastName: 'tra', firstName: 'yaya'});
    }

    @Get("get/:id/more/:name")
    getParams(@Param() {id, name}: { id: number, name:string },paramToIgnore: number ) {
        return {id, name};
    }



    @Get("get")
    getSomthing() {
        return "get";
    }


    @Get("get/from/service")
    getSomthingFromService() {
        return this.someService.someAction();
    }

    @Put("put")
    putSomthing() {
        return "put";
    }

    // @Delete("delete")
    // deleteSomthing() {
    //     return "delete";
    // }

    @Post("post")
    postSomthing() {
        return "post";
    }

}
