import {User} from "./src/models/user.model";

export {};
var mod = require.resolve('../../src/index');
if (mod) delete require.cache[require.resolve(mod)];
const app = require('./main');
import 'mocha';
import * as chai from 'chai';
const chaiHttp = require('chai-http');
chai.use(chaiHttp);
chai.should();
app.get();
describe('components/express-decorators', () => {
    it('projectname', async () => {
        // @ts-ignore
        const result = await chai.request(app.express).get('/integ55/some/projectname');
        result.res.text.should.be.equal('integ55');
    });

    it('get', async () => {
        // @ts-ignore
        const result = await chai.request(app.express).get('/integ55/some/get');
        result.res.text.should.be.equal('get');
    });

    it('get from service', async () => {
        // @ts-ignore
        const result = await chai.request(app.express).get('/integ55/some/get/from/service');
        result.res.text.should.be.equal('Hello from service');
    });

    it('post', async () => {
        // @ts-ignore
        const result = await chai.request(app.express).post('/integ55/some/post');
        result.res.text.should.be.equal('post');
    });

    it('body', async () => {
        const user = new User({firstName:'name1',lastName:'name2'})
        // @ts-ignore
        const result = await chai.request(app.express).post('/integ55/some/body')
            .set('content-type', 'application/x-www-form-urlencoded')
            .send(user);

        result.res.text.should.be.equal('post');
    });

    it('delete', async () => {
        // @ts-ignore
        const result = await chai.request(app.express).delete('/integ55/some/delete');
        result.res.text.should.be.equal('delete');
    });

    it('put', async () => {
        // @ts-ignore
        const result = await chai.request(app.express).put('/integ55/some/put');
        result.res.text.should.be.equal('put');
    });

    it('params', async () => {
        // @ts-ignore
        const result = await chai.request(app.express).get('/integ55/some/get/5');
        result.res.text.should.be.equal('5');
    });

    it('getuser', async () => {
        // @ts-ignore
        const result = await chai.request(app.express).get('/integ55/some/user');

        JSON.parse(result.res.text).should.have.all.keys('firstName', 'lastName');
    });
});

