'use strict';

export {};
const asd = require('../../src/index')
const pn = require('../../src')('express-example'); // require('progressive-node')('<app name>');

pn.init(__dirname, 'TEST');

const chai = require('chai');
const chaiHttp = require('chai-http');

chai.use(chaiHttp);
chai.should();

describe('components/express', () => {
    it('get', async () => {
        const result = await chai.request(pn.express).get('/example/foo');

        result.res.text.should.be.equal('foo');
    });

    it('get with error', async () => {
        const result = await chai.request(pn.express).get('/example-error');

        result.statusCode.should.equal(500);
    });

    describe('static', () => {
        it('fallback', async () => {
            const result = await chai.request(pn.express).get('/client/a/b/c/d/e');

            result.res.text.should.be.equal('INDEX\n');
        });

        it('others', async () => {
            const result = await chai.request(pn.express).get('/client/other.html');

            result.res.text.should.be.equal('OTHER\n');
        });
    });

    it('isalive', async () => {
        const result = await chai.request(pn.express).get('/isalive');

        result.res.text.should.be.equal('OK');
    });

    it('version', async () => {
        const result = await chai.request(pn.express).get('/version');

        result.res.text.should.be.equal('1.2.3');
    });

    it('no x-powered-by header', async () => {
        const result = await chai.request(pn.express).get('/example/foo');

        result.res.headers.should.not.have.property('x-powered-by');
    });
});
