import { Service } from "pn-ts/decorators";
import { User } from './domain/user.model';
import { APIService } from "./http.service";

@Service()
export class SomeController {

    constructor(private readonly api: APIService) {
    }

    getUser(projectName: string): Promise<User> {
        return new Promise((resolve) => {
            this.api.get(projectName, 'some/user').then((data: any) => resolve(new User(data)));
        });
    }


    getParams({ id, name }: { id: number, name: string }, projectName: string): Promise<{ id: number; name: string; }> {
        return new Promise((resolve) => {
            this.api.get(projectName, 'some/get/' + id + '/more/' + name + '').then((data: any) => resolve(data));
        });
    }




    getSomthing(projectName: string): Promise<string> {
        return new Promise((resolve) => {
            this.api.get(projectName, 'some/get').then((data: any) => resolve(data));
        });
    }



    getSomthingFromService(projectName: string): Promise<any> {
        return new Promise((resolve) => {
            this.api.get(projectName, 'some/get/from/service').then((data: any) => resolve(data));
        });
    }


    putSomthing(projectName: string): Promise<string> {

        return new Promise((resolve) => {
            this.api.put(projectName, 'some/put').then((data: any) => resolve(data));
        })
    }

    // @Delete("delete")
    // deleteSomthing() {
    //     return "delete";
    // }


    postSomthing(projectName: string): Promise<string> {

        return new Promise((resolve) => {
            this.api.post(projectName, 'some/post').then((data: any) => resolve(data));
        })
    }
}
