'use strict';

export {};
const pn = require('../../src')('graphics-example'); // require('progressive-node')('<app name>');
const fs = require('fs');
const path = require('path');
const util = require('util');
const fs_readFile = util.promisify(fs.readFile);

pn.init(__dirname, 'TEST');

const chai = require('chai');
chai.should();

describe('components/graphics', () => {
    it('compressImage', async () => {
        const originalImage = await fs_readFile(path.join(__dirname, 'assets', 'big.png'));
        const compressedBuffer = await pn.graphics.compressImage(originalImage, pn.graphics.IMAGE_SIZES.small, {
            projectName: 'test',
        });
        const origMetaData = await pn.graphics.sharp(originalImage).metadata();
        const compressedMetaData = await pn.graphics.sharp(compressedBuffer).metadata();

        origMetaData.format.should.be.equal('png');
        compressedMetaData.format.should.be.equal('jpeg');
        // parseInt(origMetaData.size, 10).should.be.greaterThan(parseInt(compressedMetaData.size, 10));
    });
});
