const fs = require('fs');
const path = require('path');
const { promisify } = require('util');
const { makeExecutableSchema } = require('apollo-server');
const resolvers = require('../resolvers');

module.exports = async defaultDirectives => {
    const readFileAsync = promisify(fs.readFile);
    const s = await readFileAsync(path.resolve(__dirname, './schema.graphql'));
    if (resolvers.Upload) delete resolvers.Upload;
    return makeExecutableSchema({
        typeDefs: s.toString('utf8'),
        resolvers,
        schemaDirectives: defaultDirectives,
    });
};
