export {};
const pn = require('../../src')('mongo-example'); // require('progressive-node')('<app name>');

pn.init(__dirname, 'TEST');

const chai = require('chai');

chai.should();

describe('components/mongo', () => {
    it('insert/find', async () => {
        const mongo = await pn.db.mongo('projects');

        await mongo.collection('test').insertOne({
            a: 'b',
        });

        const result = await mongo
            .collection('test')
            .find({})
            .limit(1)
            .next();

        result.should.have.property('a').equal('b');
    });

    it('should reuse connection', async () => {
        const a = await pn.db.mongo('projects');
        const b = await pn.db.mongo('projects');

        chai.assert(a === b);
    });

    it('should throw for unknown database', async () => {
        try {
            await pn.db.mongo('unknown');
        } catch (err) {
            err.message.should.includes('configuration for unknown not found');
        }
    });

    it('should create single mongo connection pool when initializing mongo in parallel (caching)', async () => {
        const res = await Promise.all([pn.db.mongo('projects'), pn.db.mongo('projects')]);
        res[0].should.be.equal(res[1]);
    });
});
