export {};
const pn = require('../../src')('redis-example'); // require('progressive-node')('<app name>');

pn.init(__dirname, 'TEST');

const chai = require('chai');

chai.should();

describe('components/redis', () => {
    it('ping', async () => {
        const redis = await pn.db.redis();

        (await redis.pingAsync()).should.be.equal('PONG');
    });

    it('set/get', async () => {
        const redis = await pn.db.redis();

        await redis.setAsync('a', 'foo');
        (await redis.getAsync('a')).should.be.equal('foo');
    });

    it('should create single redis connection when initializing redis in parallel (caching)', async () => {
        const res = await Promise.all([pn.db.redis(), pn.db.redis()]);
        res[0].should.be.equal(res[1]);
    });
});
