export {};
const pn = require('../../src')('validation-example'); // require('progressive-node')('<app name>');

pn.init(__dirname, 'TEST');

const chai = require('chai');
const chaiHttp = require('chai-http');

chai.use(chaiHttp);
chai.should();

describe('components/validation', () => {
    it('valid', async () => {
        const result = await chai.request(pn.express).get('/example/%20foo');

        result.res.text.should.be.equal('foo');
    });

    it('invalid', async () => {
        let result = null;

        try {
            result = await chai.request(pn.express).get('/example/a');
        } catch (err) {
            err.message.should.includes('ength must be at least 3 characters long');
        }

        result.body.should.be.deep.equal({
            validationErrors: {
                arg1: ['"arg1" length must be at least 3 characters long'],
            },
        });
    });
});
